var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
export var generateAddressListFromText = function (rawData) {
    var lines = rawData
        .split('\n')
        .filter(function (line) { return line.length > 0; });
    return lines.map(function (line) {
        var address = line.split(',');
        if (address.length !== 4)
            throw new Error('CSV was broken.');
        return address.map(function (item) {
            return item.replace(/"/g, '');
        });
    });
};
export var extractTargetAddress = function (postCodeBack, addressList) {
    return addressList.filter(function (address) { return address[0] === postCodeBack; });
};
var removeFirstItemFromAddress = function (address) {
    var copiedArray = __spreadArray([], address);
    copiedArray.shift();
    if (copiedArray.length !== 3) {
        throw new Error('Failed removeFirstItemFromAddress.');
    }
    return copiedArray;
};
export var normalizeAddressList = function (addressList) {
    return addressList.map(function (address) { return removeFirstItemFromAddress(address); });
};
//# sourceMappingURL=address.js.map